View Issue Details

IDProjectCategoryView StatusLast Update
0008470VALENTINA STUDIOWindows of Applicationpublic2019-02-18 20:35
ReportermstoloveAssigned ToSergey Pashkov 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformMac OSOS10.14.2OS Version*
Product Version9.0.x 
Target Version9.0.xFixed in Version9.0.x 
Summary0008470: Studio Pro v9.0.x text display is extremely hard to read compared to previous versions
DescriptionDisplayed text appears very thin and weak when compared to all previous versions. This occurs in every panel on every window.

Steps To ReproduceRun the app in a similar hardware environment
Additional InformationI've attached a screenshot comparing v9 (top) with v8 (bottom).

My hardware setup is: Mac Pro 2012, Sapphire Radeon RX 580 (Apple approved) graphics card, MacOS 10.14.2, Dell U3417W 34" (non-retina) monitor.

System Display settings are default. Changing `Reduce Transparency` makes no difference.
TagsNo tags attached.
Working with DB:Not specified
Version of your DB

Activities

mstolove

mstolove

2019-02-16 22:42

reporter  

Studio v9 vs v8.png (71,394 bytes)
Sergey Pashkov

Sergey Pashkov

2019-02-17 07:23

developer   ~0010663

Last edited: 2019-02-17 07:25

View 2 revisions

Hello, thank you for the report, it was unexpected.
We updated the Qt framework (which renders everything in the app) because the fonts became bold and blurry after update to 10.14.

Ruslan Zasukhin

Ruslan Zasukhin

2019-02-17 07:31

administrator   ~0010664

Sergey means that before 10.14, with our old QT 5.6 for years Valentina Studio did draw fonts as you complain now.

With 10.14, Vstudio wrongly have start draw fonts in bold (some QT issues)

In new QT 5.12 they have fixed this. So we upgrade

and now vstudio 9 draw fonts correctly. This is not a bug.


in Prefs of Valentina Studio exists panel Fonts, where you can choose styles of fonts for different areas of app
Sergey Pashkov

Sergey Pashkov

2019-02-17 08:21

developer   ~0010665

Looks like it is improved in Qt 5.12.1
mstolove

mstolove

2019-02-17 13:41

reporter   ~0010666

This font issue appears no matter which fonts are selected in VS9 preferences.

I'm unsure what you mean about QT 5.6. I have been using VS since 2013 with OSX 10.8 and don't recall ever seeing this type of problem.

It is definitely an issue for me. I think the screenshot speaks for itself. No other applications exhibit this behaviour on my computer.
Sergey Pashkov

Sergey Pashkov

2019-02-17 13:45

developer   ~0010667

The issues began with an update to macOS 10.14.
We'll update Qt framework to the latest version and release a new version shortly.
Sergey Pashkov

Sergey Pashkov

2019-02-18 07:57

developer   ~0010668

Version 9.0.3 is available for download.
mstolove

mstolove

2019-02-18 16:47

reporter   ~0010669

9.0.3 fixes it for me. Thank you for your quick response!

Issue History

Date Modified Username Field Change
2019-02-16 22:42 mstolove New Issue
2019-02-16 22:42 mstolove File Added: Studio v9 vs v8.png
2019-02-17 07:20 Sergey Pashkov Assigned To => Sergey Pashkov
2019-02-17 07:20 Sergey Pashkov Status new => assigned
2019-02-17 07:23 Sergey Pashkov Note Added: 0010663
2019-02-17 07:25 Sergey Pashkov Note Edited: 0010663 View Revisions
2019-02-17 07:31 Ruslan Zasukhin Note Added: 0010664
2019-02-17 08:21 Sergey Pashkov Note Added: 0010665
2019-02-17 13:41 mstolove Note Added: 0010666
2019-02-17 13:45 Sergey Pashkov Note Added: 0010667
2019-02-18 07:57 Sergey Pashkov Note Added: 0010668
2019-02-18 16:47 mstolove Note Added: 0010669
2019-02-18 20:35 Sergey Pashkov Status assigned => resolved
2019-02-18 20:35 Sergey Pashkov Resolution open => fixed
2019-02-18 20:35 Sergey Pashkov Product Version => 9.0.x
2019-02-18 20:35 Sergey Pashkov Fixed in Version => 9.0.x
2019-02-18 20:35 Sergey Pashkov Target Version => 9.0.x